# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++ java-devel-default rpm-build-java
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		sunflow
Version:	0.07.4
Release:	alt1_2
Summary:	A rendering system for photo-realistic image synthesis
License:	MIT
Group:		Development/Java
URL:		https://github.com/sparkoo/sunflow
Source0:	https://github.com/sparkoo/sunflow/archive/v%{version}/%{name}-%{version}.tar.gz
# based on sunflow_logo.png from http://sunflow.sourceforge.net/logo2007.zip
Source1:	sunflow_icon_128.png
Source2:	sunflow.desktop
BuildArch:	noarch
BuildRequires:	desktop-file-utils
BuildRequires:	dos2unix
BuildRequires:	maven-local
BuildRequires:	janino

# Explicit requires for javapackages-tools since sunflow script
# uses /usr/share/java-utils/java-functions
Requires:	javapackages-tools
Source44: import.info


%description
Sunflow is an open source rendering system for photo-realistic image synthesis.
It is written in Java and built around a flexible ray tracing core and
an extensible object-oriented design.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java
BuildArch: noarch

%description javadoc
API documentation for %{name}.

%prep
%setup -q

dos2unix -k CHANGELOG LICENSE README

%pom_remove_plugin :maven-source-plugin

%build
%mvn_build

%install
%mvn_install

%jpackage_script org.sunflow.SunflowGUI "" "" "janino:sunflow" sunflow true

install -Dpm644 %{SOURCE1} \
                %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

desktop-file-install \
 --dir=%{buildroot}%{_datadir}/applications \
 --mode=644 \
 --vendor="" \
 %{SOURCE2}

%check
java -server -Xmx1g -classpath $(build-classpath janino):target/%{name}-%{version}.jar org.sunflow.Benchmark -bench 0 128

%files -f .mfiles
%doc CHANGELOG README
%doc --no-dereference LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png

%files javadoc -f .mfiles-javadoc
%doc --no-dereference LICENSE


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.07.4-alt1_2
- update by mgaimport

* Mon Sep 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.07.4-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.07.3-alt1_6
- new version

